Subject: [bug#34829] [PATCH] gnu: usbutils: Make package description different from synopsis.

From: mikadoZero <[email-masked]>
Date: Sun, 24 Mar 2019 21:24:45 -0400

This is one of my first patches to Guix.  Feedback is appreciated.

This patch provides a description for usbutils.  Previously the
description was just a copy of the synopsis.

After looking at the usbutils readme I understand why the description
was a copy of the synopsis.  There is not a lot of information on the
usbutils readme.  So looking for additional information I ran `locate
usbutils` which listed these binaries:

lsusb
usb-devices
usbhid-dump

I have taking into account the descriptions from their man pages as well
as the usbutils readme and attempted a new description for usbutils.

There is a linting warning which is independent of this patch.
`guix lint usbutils`
usbutils@010: URI http://www.linux-usb.org/ returned suspiciously small
file (369 bytes)

These build commands are successful:
guix build --rounds=4 usbutils
guix build --system=armhf-linux --rounds=4 usbutils
guix build --system=aarch64-linux --rounds=4 usbutils

--------

>From 00a6add2736d3695b16f0c40177751852fbc6a67 Mon Sep 17 00:00:00 2001
From: mikadoZero <[email-masked]>
Date: Sun, 24 Mar 2019 20:49:05 -0400
Subject: [PATCH] gnu: usbutils: Make package description different from
 synopsis.

* gnu/packages/linux.scm (usbutils):  Change package description.
---
 gnu/packages/linux.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index bc2219b1fa..9554ca4bfa 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -33,6 +33,7 @@
 ;;; Copyright © 2018 Pierre Langlois <[email-masked]>
 ;;; Copyright © 2018 Vasile Dumitrascu <[email-masked]>
 ;;; Copyright © 2019 Tim Gesthuizen <[email-masked]>
+;;; Copyright © 2019 mikadoZero <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -785,9 +786,10 @@ slabtop, and skill.")
      `(("pkg-config" ,pkg-config)))
     (home-page "http://www.linux-usb.org/")
     (synopsis
-     "Tools for working with USB devices, such as lsusb")
+     "Tools for working with USB devices")
     (description
-     "Tools for working with USB devices, such as lsusb.")
+     "Collection of tools to query what type of USB devices are connected to the
+system, including lsusb.")
     (license license:gpl2+)))
 
 (define-public e2fsprogs
-- 
2.21.0